Hilfe - Joomla!

Allgemeines zu Joomla! 3.10.x und 4.0.x

Am 17.01.2021 sind die Version 3.10.0 (neue Versionsserie) und 4.0.0 (neue Major-Versionsserie) erschienen. Bereits am 24.08 und 25.08 dann die Versionen 3.10.1 und 4.0.1 und 4.0.2

Wir möchten hier auf einige Dinge hinweisen.

Bei Fragen zögern Sie nicht Kontakt aufzunehmen.

Das wichtiges zuerst: Backup erzeugen!!!!

Vor jeder größeren Veränderung und insbesondere bei CORE-Updates oder Migrationen auf einen neue Versionsserie immer alle Daten sichern! (Dateien und Datenbank!)
Bei uns geht das am schnellsten über unser Control-Center.

Joomla-Upate 3.9.x --> 3.10.x

Ein Update auf diese Version sollte ganz normal im Backend angezeigt und relativ problemlos ausgeführt werden können.

Sollte so ein Update scheitern, sind Drittanbieter-Erweiterungen inkompatibel. In dem Fall das Backup zurückspielen und alte Erweiterungen prüfen, updaten oder ggf. deinstallieren. Das Update dann wiederholen.

Achtung:
Bei bestimmten Voraussetzungen wird nach dem Update von 3.x auf 3.10.0 direkt danach ein Update auf 4.0.0 angeboten!

Dies ist ein Bug! Dieses Update NICHT ausführen!

Auf diese Weise wird das Anbieten des Updates abgestellt:

Aufrufen: Komponenten - Joomla Update - Optionen:

Den Update-Server auf etwas anderes als "Standard" einstellen und speichern. Danach wieder auf "Standard" einstellen und speichern.


Joomla 4.0.x - Neuinstallation

Eine Joomla 4.0.0 bis 4.0.x Neuinstallationen funktioniert auf unseren Servern problemlos, sofern der Server die technischen Voraussetzungen bietet. Das ist bei uns auf den allermeisten Servern der Fall.

Gerne installieren wir Ihnen ein solches Joomla. Jeder Kunde hat eine Installation kostenfrei inklusive.

Eine Installation kann hier gebucht werden.

Migration Joomla 3.10.x --> 4.0.0/2

Momentan ist eine Migration vorheriger Versionsserien nach 4.0.x sind aktuell eine absolute Katastrophe. Die Bezeichnung "Mini-Migration" auf der offiziellen deutschen Hilfe-Seiten (siehe Links unten) ist Sarkasmus pur.... Wir hoffen, das sich die Situation in den nächsten Monaten verbessert. Die allermeisten Drittanbieter-Erweiterungen sind zudem inkompatibel. Selbst einige CORE-Bestandteile sind in Version 4.0.0 noch inkompatibel (Weblinks).

Für eine Migration von 3.x nach 4.x sind umfangreiche vorherige Prüfungen der Kompatibilität notwendig.

Wer es dennoch versuchen will, findet hier weitere Hilfen:

Die 3er-Version wird noch bis 17.08.2023 supported und es besteht kein akuter Handlungsbedarf für eine schnelle Migration produktiver Seiten.
Unser Fazit:
Die Versionen 4.0.0 bis 4.0.2 und vermutlich auch noch einige der Folgeversionen sollten vorerst nur für neue Seiten oder Testseiten eingesezt werden.

Wenn Sie Probleme mit einer Migration haben, können wir Ihnen Joomla-Experten aus unserem Netzwerk angeben.
Fragen
Sie uns einfach.

 

© 2021 fc-hosting.de | +49-(0)5032-933-068-0 | info@fc-hosting.de

Quick-Links

Formulare

Tools

Tipps und Hilfen